### Virtual Method

# Clutter ColorState append_transform_snippet

#### Declaration [src]

    void
    append_transform_snippet (
      ClutterColorState* color_state,
      ClutterColorState* target_color_state,
      GString* snippet_globals,
      GString* snippet_source,
      const char* snippet_color_var
    )

#### Description

No description available.

#### Parameters

`target_color_state`

  Type: `ClutterColorState`

  No description available.

  The data is owned by the caller of the method.

`snippet_globals`

  Type: `GString`

  No description available.

  The data is owned by the caller of the method.

`snippet_source`

  Type: `GString`

  No description available.

  The data is owned by the caller of the method.

`snippet_color_var`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.